%%% -------------------------------------------------------
%%% @author huangyongxing@yeah.net
%%% @doc
%%% @end
%%% -------------------------------------------------------
-ifndef(SERVER_ENV_HRL).
-define(SERVER_ENV_HRL, ok).

%% 服务器环境信息
%% 注意：通常不专门保存数据到库表，而是从游戏服或脚本自动计算出的数据
-record(server_env, {
        name,
        value
    }).

%% ETS表名
-define(SERVER_ENV, server_env).            % 服务器环境变量信息

%% name
%% open_time        开服时间(开服天0点)
%% real_open_time   真实开服时间
%% merge_time       合服时间
%% merge_count      合服次数
%% server_name      服务器名字

%% 环境变量KEY值
%% 【注意，增加或修改数值，需要对应修改?SERVER_ENV_SELECT的type值范围】
-define(SERVER_ENV_MERGETIME,   1).         % 合服时间
-define(SERVER_ENV_OPENTIME,    2).         % 开服时间
-define(SERVER_ENV_MERGECOUNT,  3).         % 合服次数


-define(SERVER_ENV_REPLACE, <<"REPLACE INTO `server_env` (`args`,`type`) VALUES (~w,~w)">>).
-define(SERVER_ENV_SELECT,  <<"SELECT `type`,`args` FROM `server_env` WHERE `type`>=1 AND `type`<=3">>).

-endif.
